# gds-option - Angular

## Import

```typescript
import { GdsOptionComponent } from '@sebgroup/green-core-ng'
```

## Usage

Use the component in your Angular templates:

```html
<gds-option>
  <!-- content -->
</gds-option>
```

## Event Handling

Events are emitted using Angular output syntax. Event names are converted from kebab-case to camelCase:

| Web Component Event | Angular Output | Handler Example |
|---------------------|----------------|-----------------|
| `gds-select` | `gdsSelect` | `(gdsSelect)="handler($event)"` |
